- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::DenseVectorSpace Class Reference

This vectors space is the vector space for DenseVector. More...

`#include <IpDenseVector.hpp>`

Inheritance diagram for Ipopt::DenseVectorSpace:

[legend]
Collaboration diagram for Ipopt::DenseVectorSpace:

[legend]
List of all members.

## Public Member Functions
DenseVector * | MakeNewDenseVector () const
| Method for creating a new vector of this specific type.
virtual Vector * | MakeNew () const
| Instantiation of the generate MakeNew method for the VectorSpace base class.
Constructors/Destructors.
| DenseVectorSpace (Index dim)
| Constructor, requires dimension of all vector for this VectorSpace.
| ~DenseVectorSpace ()
| Destructor.
Methods called by DenseVector for memory management.
This could allow to have sophisticated memory management in the VectorSpace.
Number * | AllocateInternalStorage () const
| Allocate internal storage for the DenseVector.
void | FreeInternalStorage (Number *values) const
| Deallocate internal storage for the DenseVector.

## Detailed Description

This vectors space is the vector space for DenseVector.

Definition at line 229 of file IpDenseVector.hpp.

## Constructor & Destructor Documentation

Ipopt::DenseVectorSpace::DenseVectorSpace | ( | Index | dim | ) | `[inline]`

Constructor, requires dimension of all vector for this VectorSpace.

Definition at line 237 of file IpDenseVector.hpp.

Ipopt::DenseVectorSpace::~DenseVectorSpace | ( |  | ) | `[inline]`

Destructor.

Definition at line 243 of file IpDenseVector.hpp.

## Member Function Documentation

DenseVector* Ipopt::DenseVectorSpace::MakeNewDenseVector | ( |  | ) | const`[inline]`

Method for creating a new vector of this specific type.

Definition at line 248 of file IpDenseVector.hpp.

Referenced by MakeNew(), and Ipopt::DenseVector::MakeNewDenseVector().

virtual Vector* Ipopt::DenseVectorSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Instantiation of the generate MakeNew method for the VectorSpace base class.

Implements Ipopt::VectorSpace.

Definition at line 256 of file IpDenseVector.hpp.

References MakeNewDenseVector().

Number * Ipopt::DenseVectorSpace::AllocateInternalStorage | ( |  | ) | const`[inline]`

Allocate internal storage for the DenseVector.

Definition at line 307 of file IpDenseVector.hpp.

References Ipopt::VectorSpace::Dim().

Referenced by Ipopt::DenseVector::values_allocated().

void Ipopt::DenseVectorSpace::FreeInternalStorage | ( | Number * | values | ) | const`[inline]`

Deallocate internal storage for the DenseVector.

Definition at line 318 of file IpDenseVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/LinAlg/IpDenseVector.hpp